# List all solutions in project

Returns a list of solutions for the specified project.

Endpoint: GET /v1/projects/{projectId}/whatsapp/solutions
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Response 200 fields (application/json):

  - `solutions` (array, required)
    List of solutions.

  - `solutions.id` (string, required)
    The unique ID of the solution

  - `solutions.details` (object, required)
    Solution details and information.

  - `solutions.details.name` (string, required)
    The name of the solution.

  - `solutions.assigned` (boolean, required)
    If project has been assigned to this solution.

  - `solutions.partnerApp` (object)
    The Meta App of the Tech Provider.

  - `solutions.partnerApp.id` (number, required)
    The unique ID of the Meta App.

  - `solutions.partnerApp.name` (string, required)
    The name of the Meta App.

  - `solutions.ownerApp` (object)
    The Meta App of the Solution Partner (e.g. Sinch).

  - `solutions.ownerApp.id` (number, required)
    The unique ID of the Meta App.

  - `solutions.ownerApp.name` (string, required)
    The name of the Meta App.

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "project_not_found"

  - `message` (string)
    Human readable message.
    Example: "Project not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the projectId is correct."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


